%{!?scl:%global scl mantidlibs}
%scl_package %scl

Summary: Package that installs %scl
Name: %scl_name
Version: 1
Release: 1%{?dist}
BuildArch: noarch
License: GPLv2+
Group: Development/Libraries
BuildRequires: scl-utils-build

%description
This is the main package for %scl Software Collection.

%package runtime
Summary: Package that handles %scl Software Collection.
Group: Applications/File
Requires: scl-utils

%description runtime
Package shipping essential scripts to work with %scl Software Collection.

%package build
Summary: Package shipping basic build configuration
Group: Applications/File

%description build
Package shipping essential configuration macros to build %scl Software Collection.


%prep
%setup -c -T

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_scl_scripts}/root
cat > %{buildroot}/%{_scl_scripts}/enable <<\EOF
export PATH=%{_bindir}${PATH:+:${PATH}}
export MANPATH=%{_mandir}${MANPATH:+:${MANPATH}}
export INFOPATH=%{_infodir}${INFOPATH:+:${INFOPATH}}
export LD_LIBRARY_PATH=%{_libdir}${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}
export LD_LIBRARY_PATH=%{_libdir}/paraview${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}
EOF
%scl_install
#find %{buildroot}%{_scl_root} -type d | xargs chmod 755
#mkdir -p %{buildroot}%{_sysconfdir}/alternatives
#mkdir -p %{buildroot}%{_scl_root}/var/lib/alternatives
#mkdir -p %{buildroot}%{_bindir}
#mkdir -p %{buildroot}%{_prefix}/lib
#mkdir -p %{buildroot}%{_prefix}/lib64
#mkdir -p %{buildroot}%{_libexecdir}
#mkdir -p %{buildroot}%{_mandir}
#mkdir -p %{buildroot}%{_infodir}
#mkdir -p %{buildroot}%{_includedir}
#mkdir -p %{buildroot}%{_datadir}/locale
#mkdir -p %{buildroot}%{_docdir}

%files

%files runtime
%defattr(-,root,root,-)
%scl_files

%files build
%{_root_sysconfdir}/rpm/macros.%{scl}-config

%changelog
* Tue Apr 02 2013 Stuart Campbell <campbellsi@ornl.gov> 1-2
- Initial package
